summaryrefslogtreecommitdiff
path: root/misc/travis-ci-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/travis-ci-build.sh')
-rw-r--r--misc/travis-ci-build.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/misc/travis-ci-build.sh b/misc/travis-ci-build.sh
new file mode 100644
index 0000000..9fc9bd0
--- /dev/null
+++ b/misc/travis-ci-build.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+P=$(uname | sed -e 's/_.*//' | tr '[:upper:]' '[:lower:]' | sed -e 's/\//_/g')
+PLATFORM=${PLATFORM:-$P}
+failed=0
+
+if [[ $PLATFORM == "darwin" ]]; then
+ rm -rf build
+ USE_FREETYPE=0 USE_RESTCLIENT=1 USE_INTERNAL_LUA=1 make -j 2 release || failed=1
+ ./misc/download-paks.sh
+fi
+
+if [[ $failed -eq 1 ]]; then
+ echo "Build failure."
+else
+ echo "Build successful."
+fi
+
+exit $failed
+